Index: /trunk/anuga_core/source/anuga/geospatial_data/geospatial_data.py
===================================================================
--- /trunk/anuga_core/source/anuga/geospatial_data/geospatial_data.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/geospatial_data/geospatial_data.py	(revision 8124)
@@ -216,5 +216,5 @@
             self.data_points = None
             msg = 'There is no data or file provided!'
-            raise ValueError, msg
+            raise ValueError(msg)
         else:
             self.data_points = ensure_numeric(data_points)
@@ -245,5 +245,5 @@
                 msg = ("Attribute '%s' (%s) could not be converted to a"
                        "numeric vector" % (str(key), str(attributes[key])))
-                raise Exception, msg
+                raise Exception(msg)
 
         self.attributes = attributes
@@ -272,5 +272,5 @@
             msg = ('Argument geo_reference must be a valid Geo_reference '
                    'object or None.')
-            raise Expection, msg
+            raise Expection(msg)
 
         # If a geo_reference already exists, change the point data according to
@@ -296,5 +296,5 @@
         else:
             msg = 'Illegal value: %s' % str(verbose)
-            raise Exception, msg
+            raise Exception(msg)
 
     ##
@@ -494,5 +494,5 @@
                     msg = ('Geospatial data must have the same '
                            'attributes to allow addition.')
-                    raise Exception, msg
+                    raise Exception(msg)
 
                 new_attributes = None
@@ -508,5 +508,5 @@
                         msg = ('Geospatial data must have the same '
                                'attributes to allow addition.')
-                        raise Exception, msg
+                        raise Exception(msg)
         else:
             # other is None:
@@ -549,5 +549,5 @@
         if access(file_name, F_OK) == 0 :
             msg = 'File %s does not exist or is not accessible' % file_name
-            raise IOError, msg
+            raise IOError(msg)
 
         attributes = {}
@@ -558,5 +558,5 @@
             except IOError, e:
                 msg = 'Could not open file %s ' % file_name
-                raise IOError, msg
+                raise IOError(msg)
         elif file_name[-4:] == ".txt" or file_name[-4:]== ".csv":
             try:
@@ -567,13 +567,13 @@
                 msg = ('Could not open file %s. Check the file location.'
                        % file_name)
-                raise IOError, msg
+                raise IOError(msg)
             except SyntaxError, e:
                 # This should only be if there is a format error
                 msg = ('Problem with format of file %s.\n%s'
                        % (file_name, Error_message['IOError']))
-                raise SyntaxError, msg
+                raise SyntaxError(msg)
         else:
             msg = 'Extension %s is unknown' % file_name[-4:]
-            raise IOError, msg
+            raise IOError(msg)
 
         self.data_points = data_points
@@ -636,5 +636,5 @@
         else:
             msg = 'Unknown file type %s ' %file_name
-            raise IOError, msg
+            raise IOError(msg)
 
     ##
@@ -878,5 +878,5 @@
                     msg = ('Geo reference given, then not given.'
                            ' This should not happen.')
-                    raise ValueError, msg
+                    raise ValueError(msg)
                 geo = Geospatial_data(pointlist, att_dict, geo_ref)
             except StopIteration:
@@ -897,5 +897,5 @@
                 msg = ('Could not open file %s.\n%s'
                        % (self.file_name, Error_message['IOError']))
-                raise SyntaxError, msg
+                raise SyntaxError(msg)
         return geo
 
@@ -934,15 +934,15 @@
         msg = ('A georeference is specified yet latitude and longitude '
                'are also specified!')
-        raise ValueError, msg
+        raise ValueError(msg)
 
     if data_points is not None and not points_are_lats_longs:
         msg = ('Data points are specified yet latitude and longitude are '
                'also specified.')
-        raise ValueError, msg
+        raise ValueError(msg)
 
     if points_are_lats_longs:
         if data_points is None:
             msg = "Data points are not specified."
-            raise ValueError, msg
+            raise ValueError(msg)
         lats_longs = ensure_numeric(data_points)
         latitudes = num.ravel(lats_longs[:,0:1])
@@ -951,13 +951,13 @@
     if latitudes is None and longitudes is None:
         msg = "Latitudes and Longitudes are not specified."
-        raise ValueError, msg
+        raise ValueError(msg)
 
     if latitudes is None:
         msg = "Longitudes are specified yet latitudes aren't."
-        raise ValueError, msg
+        raise ValueError(msg)
 
     if longitudes is None:
         msg = "Latitudes are specified yet longitudes aren't."
-        raise ValueError, msg
+        raise ValueError(msg)
 
     data_points, zone  = convert_from_latlon_to_utm(latitudes=latitudes,
@@ -999,5 +999,5 @@
         fid.close()
         msg = "Expected keyword 'points' but could not find it"
-        raise IOError, msg
+        raise IOError(msg)
 
     attributes = {}
@@ -1123,5 +1123,5 @@
                 msg = ('File load error. '
                        'There might be a problem with the file header.')
-                raise SyntaxError, msg
+                raise SyntaxError(msg)
             for i,n in enumerate(numbers):
                 n.strip()
@@ -1175,5 +1175,5 @@
         fid.close()
         msg = "Expected keyword 'points' but could not find it."
-        raise IOError, msg
+        raise IOError(msg)
 
     if verbose: log.critical('Got %d variables: %s' % (len(keys), keys))
@@ -1577,5 +1577,5 @@
         if no_boundary is True:
             msg = 'All boundaries must be defined'
-            raise Expection, msg
+            raise Expection(msg)
 
         poly_topo = [[east_boundary, south_boundary],
@@ -1598,5 +1598,5 @@
         if access(mesh_file,F_OK) == 0:
             msg = "file %s doesn't exist!" % mesh_file
-            raise IOError, msg
+            raise IOError(msg)
 
     # split topo data
@@ -1786,5 +1786,5 @@
         if no_boundary is True:
             msg = 'All boundaries must be defined'
-            raise Expection, msg
+            raise Expection(msg)
 
         poly_topo = [[east_boundary, south_boundary],
@@ -1806,5 +1806,5 @@
         if access(mesh_file,F_OK) == 0:
             msg = "file %s doesn't exist!" % mesh_file
-            raise IOError, msg
+            raise IOError(msg)
 
     # split topo data
Index: /trunk/anuga_core/source/anuga/geospatial_data/test_geospatial_data.py
===================================================================
--- /trunk/anuga_core/source/anuga/geospatial_data/test_geospatial_data.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/geospatial_data/test_geospatial_data.py	(revision 8124)
@@ -118,5 +118,5 @@
             pass
         else:
-            raise Exception, 'Should have raised exception'
+            raise Exception('Should have raised exception')
 
     def test_get_data_points(self):
@@ -731,5 +731,5 @@
         else:
             msg = 'Different zones in Geo references not caught.'
-            raise Exception, msg
+            raise Exception(msg)
 
         os.remove(fileName)
@@ -795,5 +795,5 @@
         else:
             msg = 'Bad file did not raise error!'
-            raise Exception, msg
+            raise Exception(msg)
         os.remove(fileName)
 
@@ -824,5 +824,5 @@
         else:
             msg = 'Bad file did not raise error!'
-            raise Exception, msg
+            raise Exception(msg)
         os.remove(fileName)
 
@@ -847,5 +847,5 @@
         else:
             msg = 'Bad file did not raise error!'
-            raise Exception, msg
+            raise Exception(msg)
         os.remove(fileName)
 
@@ -876,5 +876,5 @@
         else:
             msg = 'Bad file did not raise error!'
-            raise Exception, msg
+            raise Exception(msg)
         os.remove(fileName)
 
@@ -1197,5 +1197,5 @@
         else:
             msg = 'imaginary file did not raise error!'
-            raise Exception, msg
+            raise Exception(msg)
 
     def test_create_from_pts_file(self):
@@ -1451,5 +1451,5 @@
         else:
             msg = 'Instance must have a filename or data points'
-            raise Exception, msg
+            raise Exception(msg)
 
     def test_load_csv_lat_long(self):
@@ -1507,5 +1507,5 @@
         else:
             msg = 'Different zones in Geo references not caught.'
-            raise Exception, msg
+            raise Exception(msg)
 
         os.remove(fileName)
Index: /trunk/anuga_core/source/anuga/get_version.py
===================================================================
--- /trunk/anuga_core/source/anuga/get_version.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/get_version.py	(revision 8124)
@@ -38,5 +38,5 @@
     msg = 'Command %s could not execute.'
     msg += 'Make sure the program SubWCRev.exe is available on your path'
-    raise msg
+    raise Exception(msg)
 
 
Index: /trunk/anuga_core/source/anuga/mesh_engine/mesh_engine.py
===================================================================
--- /trunk/anuga_core/source/anuga/mesh_engine/mesh_engine.py	(revision 8123)
+++ /trunk/anuga_core/source/anuga/mesh_engine/mesh_engine.py	(revision 8124)
@@ -49,8 +49,8 @@
     except ValueError:
         msg = 'ERROR: Inconsistent points array.'
-        raise ANUGAError, msg
+        raise ANUGAError(msg)
     if points.shape[1] <>2:
         msg = 'ERROR: Bad shape points array.'
-        raise ANUGAError, msg
+        raise ANUGAError(msg)
 
     # This is after points is numeric
@@ -64,5 +64,5 @@
     except ValueError:
         msg = 'ERROR: Inconsistent segments array.'
-        raise ANUGAError, msg
+        raise ANUGAError(msg)
     
     # This is after segments is numeric
@@ -74,5 +74,5 @@
     except ValueError:
         msg = 'ERROR: Inconsistent holess array.'
-        raise ANUGAError, msg
+        raise ANUGAError(msg)
 
    
@@ -82,9 +82,9 @@
     except  (ValueError, TypeError):
         msg = 'ERROR: Inconsistent regions array.'
-        raise ANUGAError, msg
+        raise ANUGAError(msg)
         
     if not regions.shape[0] == 0 and regions.shape[1] <= 2:
         msg = 'ERROR: Bad shape points array.'
-        raise ANUGAError, msg
+        raise ANUGAError(msg)
     
     try:
@@ -92,10 +92,10 @@
     except (ValueError, TypeError):
         msg = 'ERROR: Inconsistent point attributes array.'
-        raise ANUGAError, msg
+        raise ANUGAError(msg)
 
     if pointatts.shape[0] <> points.shape[0]:
         msg = """ERROR: Point attributes array not the same shape as
         point array."""
-        raise ANUGAError, msg
+        raise ANUGAError(msg)
     if len(pointatts.shape) == 1:
         pointatts = num.reshape(pointatts,(pointatts.shape[0],1))
@@ -105,9 +105,9 @@
     except ValueError:
         msg = 'ERROR: Inconsistent point attributes array.'
-        raise ANUGAError, msg
+        raise ANUGAError(msg)
     if segatts.shape[0] <> segments.shape[0]:
         msg = """ERROR: Segment attributes array not the same shape as
         segment array."""
-        raise ANUGAError, msg
+        raise ANUGAError(msg)
     
     if mode.find('n'):
@@ -186,5 +186,5 @@
                 #len(region) <= 2:
                 #msg = 'ERROR: Inconsistent regions array.'
-                #raise msg
+                #raise Exception(msg)
             #elif
     return regions
